%define name emacs-tramp
%define version 20020411
%define release 6mdk

%{expand:%%define emacs_version %(rpm -q emacs|sed 's/emacs-\([0-9].*\)-.*$/\1/')}
%{expand:%%define xemacs_version %(rpm -q xemacs|sed 's/xemacs-\([0-9].*\)-.*$/\1/')}

Summary: Transparent Remote (file) Access, Multiple Protocol
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://tramp.sourceforge.net/download/tramp.tar.bz2
Patch0: emacs-tramp-method-scp-by-default.patch.bz2
URL: http://savannah.nongnu.org/projects/tramp
License: GPL
Group: Editors
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: emacs-bin make texinfo xemacs
BuildArch: noarch
Prefix: %{_prefix}
Requires: emacs = %{emacs_version}

%package -n xemacs-tramp
Summary: Transparent Remote (file) Access, Multiple Protocol
License: GPL
Group: Networking/News
Requires: xemacs = %{xemacs_version}

%description
TRAMP stands for `Transparent Remote (file) Access, Multiple Protocol'. This
package provides remote file editing, similar to ange-ftp and EFS.

The difference is that ange-ftp uses FTP to transfer files between the local 
and the remote host, whereas TRAMP uses a combination of rsh and rcp or other
work-alike programs, such as ssh/scp.

%description -n xemacs-tramp
TRAMP stands for `Transparent Remote (file) Access, Multiple Protocol'. This
package provides remote file editing, similar to ange-ftp and EFS.

The difference is that ange-ftp uses FTP to transfer files between the local
and the remote host, whereas TRAMP uses a combination of rsh and rcp or other
work-alike programs, such as ssh/scp.

%prep
%setup -n tramp -q
%patch0 -p1
chmod a+r -R .

%build

for i in emacs xemacs; do
  make EMACS=$i
  install -d elc-$i
  mv lisp/*.elc elc-$i
done

%install
rm -rf $RPM_BUILD_ROOT
for i in emacs xemacs; do
  install -d $RPM_BUILD_ROOT%{_datadir}/$i/site-lisp
  install -m 644 elc-$i/*.elc $RPM_BUILD_ROOT%{_datadir}/$i/site-lisp
done

install -d $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d
echo "(require 'tramp)" >$RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d/tramp.el

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc texi/tramp.html
%{_datadir}/emacs/site-lisp/*
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/*

%files -n xemacs-tramp
%defattr(-,root,root)
%doc texi/tramp.html
%{_datadir}/xemacs/site-lisp/*
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/*

%changelog
* Thu Feb 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 20020411-6mdk
- fix url (Axel R.)

* Thu Feb 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 20020411-5mdk
- rebuild for latest xemacs

* Tue Jan 21 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 20020411-4mdk
- rebuild for latest emacs

* Mon Oct 28 2002 Pixel <pixel@mandrakesoft.com> 20020411-3mdk
- rebuild against latest emacs

* Wed Sep  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 20020411-2mdk
- Rebuild against latest xemacs

* Thu Jun 27 2002 Pixel <pixel@mandrakesoft.com> 20020411-1mdk
- new release

* Tue Apr  9 2002 Frederic Lepied <flepied@mandrakesoft.com> 20020122-4mdk
- recompiled for emacs-20.2

* Tue Mar 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 20020122-3mdk
- build release

* Sun Feb 17 2002 Stefan van der Eijk <stefan@eijk.nu> 20020122-2mdk
- BuildRequires

* Sat Feb  2 2002 Pixel <pixel@mandrakesoft.com> 20020122-1mdk
- new version

* Mon Oct 22 2001 Pixel <pixel@mandrakesoft.com> 20011010-2mdk
- build for new emacs

* Wed Oct 17 2001 Pixel <pixel@mandrakesoft.com> 20011010-1mdk
- new version
- s/Copyright/License/

* Thu Sep 13 2001 Pixel <pixel@mandrakesoft.com> 20010615-4mdk
- /etc/xemacs/site-start.d not there/needed anymore

* Thu Sep  6 2001 Pixel <pixel@mandrakesoft.com> 20010615-3mdk
- fix rights on doc

* Mon Sep  3 2001 Pixel <pixel@mandrakesoft.com> 20010615-2mdk
- rebuild for new xemacs

* Mon Jun 18 2001 Pixel <pixel@mandrakesoft.com> 20010615-1mdk
- new version

* Thu Mar 22 2001 Pixel <pixel@mandrakesoft.com> 20001101-6mdk
- rebuild for new xemacs

* Tue Dec 12 2000 Pixel <pixel@mandrakesoft.com> 20001101-5mdk
- compile for both emacs and xemacs

* Mon Dec 11 2000 Pixel <pixel@mandrakesoft.com> 20001101-4mdk
- the build really is texinfo (vincysuk ;p)

* Mon Dec 11 2000 Vincent Saugey <vince@mandrakesoft.com> 20001101-3mdk
- add build requires (tetex)

* Mon Nov 27 2000 Pixel <pixel@mandrakesoft.com> 20001101-2mdk
- add BuildRequires 

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 20001101-1mdk
- new version

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 20000606-4mdk
- fix summary

* Thu Aug 31 2000 Pixel <pixel@mandrakesoft.com> 20000606-3mdk
- add %%config

* Tue Aug 22 2000 Pixel <pixel@mandrakesoft.com> 20000606-2mdk
- use %{_sysconfdir}/emacs/site-start.d

* Thu Aug  3 2000 Pixel <pixel@mandrakesoft.com> 20000606-1mdk
- first version

# end of file
